- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MPxAttributePatternFactory Class Reference

# OpenMaya - API module for common classes | Proxy classes

Search for all occurrences

## Detailed Description

Base class for user-defined attribute pattern factories.

MPxAttributePatternFactory is the parent class of all user defined attribute pattern factories.

This class can be used to implement new kinds of attribute pattern factories within Maya that behave in a similar manner to the attribute pattern factories included in Maya.

`#include <MPxAttributePatternFactory.h>`

List of all members.

## Public Member Functions
| MPxAttributePatternFactory ()
| Class constructor.
virtual | ~MPxAttributePatternFactory ()
| Class destructor.
virtual MStatus | createPatternsFromString (const MString &patternString, MAttributePatternArray &createdPatterns) const =0
| Call this to define a new attribute pattern using the pattern factory format definition passed in through the string parameter.
virtual MStatus | createPatternsFromFile (const MString &patternFile, MAttributePatternArray &createdPatterns) const =0
| Call this to define a new attribute pattern using the pattern factory format definition passed in through the contents of the file in the parameter.
virtual MString | name () const =0
| Return the name of the pattern factory.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MStatus createPatternsFromString | ( | const MString & | patternString,
|  | MAttributePatternArray & | createdPatterns
| ) |  | const `[pure virtual]`

Search for all occurrences

Call this to define a new attribute pattern using the pattern factory format definition passed in through the string parameter.

No default implementation is available.

Parameters:

  [in] | patternString | The pattern definition
  [out] | createdPatterns | List of attribute patterns created from the string

Returns:
  - MS::kFailure Patterns could not be created.
  - MS::kSuccess Patterns were successfully created.

MStatus createPatternsFromFile | ( | const MString & | patternPath,
|  | MAttributePatternArray & | createdPatterns
| ) |  | const `[pure virtual]`

Search for all occurrences

Call this to define a new attribute pattern using the pattern factory format definition passed in through the contents of the file in the parameter.

No default implementation is available.

Parameters:

  [in] | patternPath | The file name to be expanded
  [out] | createdPatterns | List of attribute patterns created from the file

Returns:
  - MS::kFailure Patterns could not be created.
  - MS::kSuccess Patterns were successfully created.

MString name | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Return the name of the pattern factory.

It's merely an identification for the commands operating on pattern factories and has no significance beyond that.

Returns:
  Name of the plugin pattern factory

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory
MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory MPxAttributePatternFactory